Subject: bug#86 closed by Gregory Nowak <[email-masked]> (bluez-firmware: missing support for raspberry pi3 bluetooth)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 12 Jul 2022 05:00:05 +0000

This is an automatic notification regarding your bug report
which was filed against the bluez-firmware package:

#86: bluez-firmware: missing support for raspberry pi3 bluetooth

It has been closed by Gregory Nowak <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Gregory Nowak <[email-masked]> by
replying to this email.

-- 
86: https://bugs.devuan.org/cgi/bugreport.cgi?bug=86
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: bluez-firmware: missing support for raspberry pi3 bluetooth
From: Gregory Nowak <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jul 2022 21:58:25 -0700

Package: bluez-firmware
Version: 1.2-4

The bluez-firmware package in devuan Chimaera contains the necessary
patches for the rpi3 bluetooth to work out of the box. I don't know
when the patches made it into the bluez-firmware package, but I assume
that was in devuan Ascii. I can try to track this info down if needed.

Subject: bluez-firmware: missing support for raspberry pi3 bluetooth
From: Gregory Nowak <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Wed, 24 May 2017 17:08:31 -0700

Package: bluez-firmware
Version: 1.2-3+rpi1
Severity: critical

Dear Maintainer,
this is a migration of:
<https://git.devuan.org/sdk/arm-sdk/issues/14>
The bluez-firmware package in devuan is missing raspbian's patches necessary to use the
built-in bluetooth adapter on the raspberry pi3 (rpi3). The patches are a part of raspbian's source:
<http://archive.raspberrypi.org/debian/pool/main/b/bluez-firmware/>
The necessary patch is in debian/patches, and in the broadcom directory. It is
necessary for the
arm64 and armhf architectures, since the rpi3 can use either image, though raspbian's bluez-firmware is architecture independent. I cannot
guarantee that applying this patch won't break other architectures, so didn't take this farther on my own. The bluez-firmware package I'm reporting against
installed on this
system is raspbian's bluez-firmware from January 2017. So, it isn't what currently exists in devuan.
 
-- System Information:

Architecture: aarch64

Kernel: Linux 4.10.0-rc5-v8+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

-- no debconf information